# transpose.hh File Reference

This file contains the function which transposes an automaton. More...

Include dependency graph for algorithms/transpose.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI1 , typename AI2 >
void | transpose (Element< A, AI1 > &dst, const Element< A, AI2 > &src)
| Transposition of an automaton.
template<typename A , typename AI >
Element< A, AI > | transpose (const Element< A, AI > &src)
| Return a fresh transposed automaton.

## Detailed Description

This file contains the function which transposes an automaton.

See also:
  transpose()

Definition in file algorithms/transpose.hh.